.NFTCard {
  overflow: hidden;
}

.NFTCard .header,
.NFTCard .dcl.mana.inline {
  font-size: 17px;
  line-height: 26px;
  letter-spacing: -0.2px;
  color: black !important;

}

.NFTCard .header .title {
  flex: 1 2 auto;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  margin-right: 20px;
  color: black !important;
}

.ui.card.NFTCard > .content {
  flex: none;
  background-color: white;
}

.ui.card.NFTCard > .content > .header:not(.ui),
.ui.cards > .card > .content > .header:not(.ui) {
  display: flex;
  margin-bottom: 4px;
}

.NFTCard .dcl.mana.inline {
  margin: 0px;
  flex: none;
  color: black !important;

}

.ui.cards > .ui.card.NFTCard.link .meta,
.ui.card.link .meta {
  margin-bottom: 4px;
}

.ui.cards > .ui.card.NFTCard.link:hover .meta,
.ui.card.link:hover .meta {
  color: var(--secondary-text);
}

.NFTCard .tags {
  margin-top: 12px;
}

.NFTCard .NFTImage {
  overflow: hidden;
}

.ui.cards > .ui.card, .ui.card {
  box-shadow: var(--shadow-1);
  border: var(--outline);
  border-radius: 8px;
  background-color: #e6dbdb !important
}

.NFTCard .NFTImage .ens-subdomain {
  background-size: 557px;
  background-position-y: -133px;
  background-color: white;
  color: black;
}

.NFTCard .NFTImage .ens-subdomain .monospace {
  margin-top: 0px;
}

@media (min-width: 768px) and (max-width: 992px) {
  .NFTCard .header {
    display: flex;
    flex-direction: column;
  }

  .NFTCard .header .title {
    margin-right: 0;
    color: black !important;
  }

  .NFTCard .dcl.mana.inline {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    display: block;
    color: black !important;

  }
}

@media (max-width: 768px) {
  .NFTCard.ui.card > .content,
  .ui.cards > .NFTCard.card > .content {
    display: block;
  }
}
